Kerbal Space Program - Bug #26944

Non-default EVA propellants aren't refilled upon entering command pods
12/29/2020 02:19 PM - LouisB3
Assignee:
Description

1.11: EVA Propellant is supposed to be refilled for free whenever a kerbal returns to a pod. For the resource named "EVA Propellant”
this appears to work as intended. However, if another resource is defined as the EVA propellant by modifying
propellantResourceName in the KerbalEVA module, it is not refilled upon returning to a pod. Since there is no way to transfer
resources to cargo parts (including jetpacks), this leaves no way to refill non-default EVA propellants.

Steps to reproduce:

1) Change the value of propellantResourceName in the KerbalEVA module in kerbalEVA.cfg and/or kerbalEVAfemale.cfg from "EVA
Propellant" to another defined resource (e.g. | used Nitrogen with CRP installed.)

2) Change the name of the resource stored in the EVA jetpack and/or EVA fuel cylinder parts to the same resource used in the
previous step.

3) Take a kerbal on EVA and use the jetpack, depleting some of the propellant.

4) Return the EVA kerbal to the vessel and observe the the propellant is not replenished.

Alternatively, a way to transfer resources to or from parts in cargo would be nice.

History

#2 - 01/17/2021 09:28 AM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Something not right there thats for sure, changing the jetpacks fuel was definitely something in scope

#3 - 01/25/2021 02:42 PM - LouisB3
Possibly a related bug:

It appears that non-propellant resources are also consumed by the EVA jetpack during thrusting. In a pure stock game, this may not be noticeable
because kerbals on EVA typically only carry propellant, not other resources. However, I've noticed that my EVA kerbals carrying the Snacks resource
(from the "Snacks!" mod) consume snacks while thrusting their RCS jetpack, at the same rate as they use EVA propellant.

#4 - 01/29/2021 01:36 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.11.1

- % Done changed from 10 to 80
We've made some changes in the latest version of the game and would like some feedback on this issue. Thanks.
#5 - 01/30/2021 06:08 AM - TriggerAu
For the refilling behaviour and non-stock resources weve made some changes:
e The CargoPartModule has a flag called "reinitResourcesOnStorelnVessel"
* Any part with that flag set to true will refill the defined resources, so a modder can set the jetpack to have any resource and it will "magically" refill

it when its stored in a vessel.
¢ The storage/reinit behaviour is the same as before, but the place its configured in the files is now per the actual part being stored
This shoudl make it possible to get back the previous behaviour by simply changing tat one resource and the parts will magically fill that when stored

Re the other bug about other propellants getting consumed, if its happening in 1.11.1 and theres not already can you log that as a separate item - or
@\Victorr

#6 - 01/30/2021 05:11 PM - LouisB3

TriggerAu wrote:
Re the other bug about other propellants getting consumed, if its happening in 1.11.1 and theres not already can you log that as a separate item
- or @Victorr

Thanks, I'll investigate this further so | can produce a proper separate bug report. Edit: added as issue #27197

I've entered the request for resource transfer in cargo as issue #27183.

#7 - 01/31/2021 05:43 PM - LouisB3

victorr wrote:
We've made some changes in the latest version of the game and would like some feedback on this issue. Thanks.

I've done a quick test of the EVA jetpack using a different resource as a propellant and can confirm it is refilled upon re-entering the pod. It appears
this issue is now resolved. Thanks!

#8 - 03/23/2021 07:02 PM - maddog59d
LouisB3 wrote:
I've done a quick test of the EVA jetpack using a different resource as a propellant and can confirm it is refilled upon re-entering the pod. It

appears this issue is now resolved. Thanks!

Not entirely sure this is fixed ... I'm on 1.11.2 and just recently (Thursday 03/18) encountered this same issue (full description and discussion at
https://forum.kerbalspaceprogram.com/index.php?/topic/201099-eva-jet-pack-not-refilling-w-monopropellant/#comment-3943975).

#9 - 03/24/2021 06:09 AM - Krazy1

One clarification: maddog59d and | have seen monoprop not refill when entering a ship in stock- not using mods that affect jetpack fuel type. | have
not been able to see a trigger for this; seems random.
